package it.micegroup.gestioneferie.pianificazioneferie.criteria;

import java.io.Serializable;
import javax.persistence.Embeddable;

import it.micegroup.voila2runtime.filter.StringFilter;

import it.micegroup.voila2runtime.filter.LongFilter;
import it.micegroup.voila2runtime.filter.StringFilter;
import it.micegroup.voila2runtime.filter.LocalDateFilter;

public class DsollecitiPfCriteria implements Serializable {

	// SERIAL UID
	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 1774707848L;

	// FILTER ATTRIBUTES
	private LongFilter sequIdSollecitoPf;

	private StringFilter codiSollecito;

	private LocalDateFilter dataSollecito;

	private LongFilter fkAmministrato;

	private LongFilter fkRichiestaAdesione;

	private StringFilter flagEliminato;

	private StringFilter utenteUltimaModifica;

	private LocalDateFilter dataUltimaModifica;

	private LocalDateFilter dataInizioRecord;

	private LocalDateFilter dataFineRecord;

	// FILTER FATHER
	private String theDrichAdesionePfObjectKey;

	// FILTER IMPORTED FATHER

	// GETTER/SETTER
	/**
	 * @return the sequIdSollecitoPf
	 */
	public LongFilter getSequIdSollecitoPf() {
		return this.sequIdSollecitoPf;
	}

	/**
	 * @param sequIdSollecitoPf to set
	 */
	public void setSequIdSollecitoPf(LongFilter sequIdSollecitoPf) {
		this.sequIdSollecitoPf = sequIdSollecitoPf;
	}

	/**
	 * @return the codiSollecito
	 */
	public StringFilter getCodiSollecito() {
		return this.codiSollecito;
	}

	/**
	 * @param codiSollecito to set
	 */
	public void setCodiSollecito(StringFilter codiSollecito) {
		this.codiSollecito = codiSollecito;
	}

	/**
	 * @return the dataSollecito
	 */
	public DateFilter getDataSollecito() {
		return this.dataSollecito;
	}

	/**
	 * @param dataSollecito to set
	 */
	public void setDataSollecito(DateFilter dataSollecito) {
		this.dataSollecito = dataSollecito;
	}

	/**
	 * @return the fkAmministrato
	 */
	public LongFilter getFkAmministrato() {
		return this.fkAmministrato;
	}

	/**
	 * @param fkAmministrato to set
	 */
	public void setFkAmministrato(LongFilter fkAmministrato) {
		this.fkAmministrato = fkAmministrato;
	}

	/**
	 * @return the fkRichiestaAdesione
	 */
	public LongFilter getFkRichiestaAdesione() {
		return this.fkRichiestaAdesione;
	}

	/**
	 * @param fkRichiestaAdesione to set
	 */
	public void setFkRichiestaAdesione(LongFilter fkRichiestaAdesione) {
		this.fkRichiestaAdesione = fkRichiestaAdesione;
	}

	/**
	 * @return the flagEliminato
	 */
	public StringFilter getFlagEliminato() {
		return this.flagEliminato;
	}

	/**
	 * @param flagEliminato to set
	 */
	public void setFlagEliminato(StringFilter flagEliminato) {
		this.flagEliminato = flagEliminato;
	}

	/**
	 * @return the utenteUltimaModifica
	 */
	public StringFilter getUtenteUltimaModifica() {
		return this.utenteUltimaModifica;
	}

	/**
	 * @param utenteUltimaModifica to set
	 */
	public void setUtenteUltimaModifica(StringFilter utenteUltimaModifica) {
		this.utenteUltimaModifica = utenteUltimaModifica;
	}

	/**
	 * @return the dataUltimaModifica
	 */
	public DateFilter getDataUltimaModifica() {
		return this.dataUltimaModifica;
	}

	/**
	 * @param dataUltimaModifica to set
	 */
	public void setDataUltimaModifica(DateFilter dataUltimaModifica) {
		this.dataUltimaModifica = dataUltimaModifica;
	}

	/**
	 * @return the dataInizioRecord
	 */
	public DateFilter getDataInizioRecord() {
		return this.dataInizioRecord;
	}

	/**
	 * @param dataInizioRecord to set
	 */
	public void setDataInizioRecord(DateFilter dataInizioRecord) {
		this.dataInizioRecord = dataInizioRecord;
	}

	/**
	 * @return the dataFineRecord
	 */
	public DateFilter getDataFineRecord() {
		return this.dataFineRecord;
	}

	/**
	 * @param dataFineRecord to set
	 */
	public void setDataFineRecord(DateFilter dataFineRecord) {
		this.dataFineRecord = dataFineRecord;
	}

	// GETTER/SETTER FATHER

	public String getTheDrichAdesionePfObjectKey() {
		return theDrichAdesionePfObjectKey;
	}

	public void setTheDrichAdesionePfObjectKey(String theDrichAdesionePfObjectKey) {
		this.theDrichAdesionePfObjectKey = theDrichAdesionePfObjectKey;
	}

	// GETTER/SETTER IMPORTED FATHER

	// GEN COMPOSITE FILTER

}
